function eq=GEcalc(entrycost,phi,B,alpha,nbar,tau,tg,lambda,r,cf,sigma,mu,sunkcost,z0,rem)

global prec prec2

wageD = .01 ; wageU = 20 ; 
% abs(wageU-wageD)
while abs(wageU-wageD)>prec
    wagetry = (wageU+wageD)/2 ;
    valuez00 = calculvalue(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    if valuez00>entrycost
        wageD = wagetry ;
    else
        wageU = wagetry ;
    end
end

% valuez00

if abs(valuez00-entrycost)>prec2
    disp('problem: entry cost not equal to entry value')
    beep; beep ; beep; beep ;
    disp(valuez00)
    disp(entrycost)
    eq = [0,0,0,0,0,0,0];
else
    wage = wagetry ; % eq wage; now find entry mass
    Y1 = totalYs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem);
    N1 = totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    
    M  = (wage/((1+tg)*B*N1^phi*(Y1-lambda*entrycost)))^(1/(1+phi)) ;
    Y = Y1*M ;
    N = N1*M ;
    Pi = Y-wage*N ;
    C = Y - lambda*entrycost*M ;
    eq = [Y,N,M,wage,lambda*entrycost*M,Pi,C] ;
end
