function eq=GEcalcINELASTIC_ENTRYCOSTLABOR(entrycostlabor,Nbar,alpha,nbar,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem)

global prec prec2

wageD = .01 ; wageU = 20 ;
while abs(wageU-wageD)>prec
    wage = (wageU+wageD)/2 ;
    valuez00 = calculvalue(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    if valuez00>entrycostlabor*wagetry
        wageD = wage ;
    else
        wageU = wage ;
    end
end

if abs(valuez00-entrycostlabor*wagetry)>prec2
    disp('problem: entry cost not equal to entry value')
    beep;beep;beep;beep;
    eq = [0,0,0,0,0,0,0] ;
else
    Y1 = totalYs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem);
    N1 = totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    
    M  = Nbar/(N1+lambda*entrycostlabor) ;
    Y = Y1*M ;
    N = (N1+entrycostlabor)*M ;
    Pi = Y-wage*N1*M ;
    C = Y ; % - lambda*entrycost*M ;
    eq = [Y,N,M,wage,lambda*entrycostlabor*M*wage,Pi,C] ;
end