function eq=GEcalcINELASTICn(entrycost,Nbar,alpha,nbar,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem,Mzero)

% this files assumes M remains fixed at its initial value.
% then adjust w to keep N = initial value.
% discard free-entry condition.

global prec prec2

wageD = .01 ; wageU = 20 ;
% while abs(wageU-wageD)>prec
%     wage = (wageU+wageD)/2 ;
%     valuez00 = calculvalue(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
%     if valuez00>entrycost
%         wageD = wage ;
%     else
%         wageU = wage ;
%     end
% end

% wageD = wage*.8 ; wageU = wage*1.2 ;
while abs(wageU-wageD)>prec
    wagetry = (wageU+wageD)/2 ;
    Nm = totalNs(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    Nm = Nm*Mzero ;
    if Nm>Nbar
        wageD = wagetry ;
    else
        wageU = wagetry ;
    end
end

if abs(Nm-Nbar)>prec2
    disp('Problem GE inelastic n')
    beep;beep;beep;beep;
%     break
else
    Y1 = totalYs(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem);
    N1 = totalNs(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    M  = Mzero ; %  Nbar/N1 ;
    Y = Y1*M ;
    N = N1*M ;
    Pi = Y-wagetry*N ; %  - lambda*entrycost*M ?
    C = Y - lambda*entrycost*M ;
    eq = [Y,N,M,wagetry,lambda*entrycost*M,Pi,C] ;
end