function eq=GEcalcLABORENTRY(entrycostlabor,phi,B,alpha,nbar,tau,tg,lambda,r,cf,sigma,mu,sunkcost,z0,rem)

global prec prec2

wageD = .01 ; wageU = 20 ; 

while abs(wageU-wageD)>prec
    wagetry = (wageU+wageD)/2 ;
    valuez00 = calculvalue(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    if valuez00>wagetry*entrycostlabor
        wageD = wagetry ;
    else
        wageU = wagetry ;
    end
end

if abs(valuez00-wagetry*entrycostlabor)>prec2
    disp('problem: entry cost not equal to entry value')
    beep; beep ; beep; beep ;
    disp(valuez00)
    disp(entrycostlabor*wagetry)
    eq = [0,0,0,0,0,0,0];
else
    wage = wagetry ; % eq wage; now find entry mass
    Y1 = totalYs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem);
    N1 = totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    
    M  = (wage/((1+tg)*B*(N1+lambda*entrycostlabor)^phi*(Y1)))^(1/(1+phi)) ;
    Y = Y1*M ;
    N = N1*M + lambda*entrycostlabor*M ;
    Pi = Y-wage*N1*M ; % includes entrant labor?
    C = Y ; %  - lambda*entrycost*M ;
    eq = [Y,N,M,wage,lambda*entrycostlabor*M*wage,Pi,C] ;
end
