function eq=GEcalcn(entrycost,phi,B,alpha,nbar,tau,tg,lambda,r,cf,sigma,mu,sunkcost,z0,rem,Mzero)


% this files assumes M remains fixed at its initial value.
% then adjust w to keep N = initial value.
% discard free-entry condition.

global prec prec2

wageD = .01 ; wageU = 20 ; 

% while abs(wageU-wageD)>prec
%     wagetry = (wageU+wageD)/2 ;
%     valuez00 = calculvalue(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
%     if valuez00>entrycost
%         wageD = wagetry ;
%     else
%         wageU = wagetry ;
%     end
% end


while abs(wageU-wageD)>prec
    wagetry = (wageU+wageD)/2 ;
    Y1 = totalYs(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem);
    N1 = totalNs(alpha,nbar,wagetry,tau,lambda,r,cf,sigma,mu,sunkcost,z0);    
    M  = Mzero ; % (wage/((1+tg)*B*N1^phi*(Y1-lambda*entrycost)))^(1/(1+phi)) ;
    Y = Y1*M ;
    N = N1*M ;
    Pi = Y-wagetry*N ;
    C = Y - lambda*entrycost*M ;
    
    if wagetry/(1+tg)<B*N^phi*C
        wageD = wagetry ;
    else
        wageU = wagetry ;
    end
end

if abs(wagetry/(1+tg)-B*N^phi*C)>prec2
    disp('Problem in GE calc n')
    beep;beep;beep;beep;
    eq = [0,0,0,0,0,0,0];
%     break
else
    wage = wagetry ; % eq wage; now find entry mass
%     Y1 = totalYs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem);
%     N1 = totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
%     
%     M  = Mzero ; % (wage/((1+tg)*B*N1^phi*(Y1-lambda*entrycost)))^(1/(1+phi)) ;
%     Y = Y1*M ;
%     N = N1*M ;
%     Pi = Y-wage*N ;
%     C = Y - lambda*entrycost*M ;
    eq = [Y,N,M,wagetry,lambda*entrycost*M,Pi,C] ;
end
