function valuez00=calculvalue(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0)

[uz,oz,hz,beta1,beta2] = thresholds(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);

% solve value function and check the calculation!! 

gamma1 = (-mu.z+sqrt(mu.z^2+2*(r+lambda)*sigma.z^2))/(sigma.z^2) ;
gamma2 = (-mu.z-sqrt(mu.z^2+2*(r+lambda)*sigma.z^2))/(sigma.z^2) ;

K = (alpha/wage)^(alpha/(1-alpha)) ;
DR = r+lambda - mu.z/(1-alpha) - sigma.z^2/(1-alpha)^2*.5 ;
DR2 = r+lambda - mu.z - sigma.z^2*.5 ;

b0 = K*(1-alpha)/DR ;
b1 = nbar^alpha/DR2 ;
b2 = -wage*nbar/(r+lambda) ;
% b3 = b0 ;
b4 = b1 ; 
b5 = b2 ; 
b6 = b0/(1+tau.wage)^(alpha/(1-alpha)) ;

% c1 = 0 ;
% c2 = 0 ;
c0 = ((gamma2-1)*b1*exp(uz)+gamma2*b2+b0/(1-alpha)*exp(uz/(1-alpha))-gamma2*b0*exp(uz/(1-alpha)))/((gamma2-gamma1)*exp(gamma1*uz)) ;
c3 = ((gamma1-1/(1-alpha))*b0*exp(uz/(1-alpha))-(gamma1-1)*b1*exp(uz)-gamma1*b2)/((gamma1-gamma2)*exp(gamma2*uz)) ;
c7 = c3 ;
% c5 = 0 ; 
% c8 = 0 ;
c6 = (exp(oz)*b4*(1-gamma2)+exp(oz/(1-alpha))*b6*(gamma2-1/(1-alpha))-gamma2*b5)/((gamma2-gamma1)*exp(gamma1*oz)) ;
c4 = c0 + c6 ;
c9 = c7 + ( (exp(oz)*b4+b5)*gamma1 - exp(oz)*b4 - (gamma1-1/(1-alpha))*b6*exp(oz/(1-alpha))  )/((gamma1-gamma2)*exp(gamma2*oz)) ;

%%% now find hz
% f=@(zz)checkval(zz,b1,c3,b6,c9,b2,sunkcost,gamma1,gamma2,alpha);
% hz = myfsolve(f,2)
% 
% disp('check!:')
% hz
% hz
% hz-hz

A1 = exp(-gamma1*hz)*(exp(hz/(1-alpha))*b6+c9*exp(gamma2*hz) - b1*exp(hz) - b2 - c3*exp(gamma2*hz) - sunkcost) ;
% A2 = 0 ;
% A3 = 0 ;
% A4 = 0 ; 

%%% value V(z0,0):
% disp('HJB method: V(z0,0)')

valuez00 = b0*exp(z0/(1-alpha))+c0*exp(gamma1*z0)+A1*exp(gamma1*z0) ;

%%% value V(hz,1):
% disp('HJB method: V(hz,1)')
% b6*exp(hz/(1-alpha))+c9*exp(gamma2*hz)
% 
% 
% %%% verification with closed form:
% J = sqrt(mu.z^2+2*(r+lambda)*sigma.z^2) ;
% K1 = (alpha/(wage*(1+tau.wage)))^(alpha/(1-alpha))*(1-alpha) ;
% K1b = (alpha/(wage))^(alpha/(1-alpha))*(1-alpha) ;
% 
% % this is V(hz,1):
% V1_part1 = K1*exp(hz/(1-alpha))/(gamma1-1/(1-alpha)) - tau.cf/gamma1 ;
% V1_part2 = K1*(exp(hz/(1-alpha))-exp(gamma2*(hz-oz))*exp(oz/(1-alpha)))/(-gamma2+1/(1-alpha)) - tau.cf/(-gamma2)*(1-exp(gamma2*(hz-oz))) ;
% V1_part3 = nbar^alpha*(exp(gamma2*(hz-oz))*exp(oz)-exp(gamma2*(hz-uz))*exp(uz))/(1-gamma2) ;
% V1_part4 = -wage*nbar*(exp(gamma2*(hz-oz))-exp(gamma2*(hz-uz)))/(-gamma2) ;
% V1_part5 = K1b*exp(gamma2*(hz-uz))*exp(uz/(1-alpha))/(-gamma2+1/(1-alpha)) ;
% V1 = 1/J*(V1_part1 + V1_part2 + V1_part3 + V1_part4 + V1_part5 );
% disp('Stokey: V(hz,1)')
% V1
% 
% % and now V(z0,0)
% V0_part1 = K1b*( (exp(gamma1*(z0-uz))*exp(uz/(1-alpha))-exp(z0/(1-alpha)))/(1/(1-alpha)-gamma1) + exp(z0/(1-alpha))/(1/(1-alpha)-gamma2) - ...
%     exp(gamma1*(z0-hz))*exp(gamma2*(hz-uz))*exp(uz/(1-alpha))/((1/(1-alpha)-gamma2)) ) ;
% V0_part2 = nbar^alpha*( (exp(gamma1*(z0-hz))*exp(hz)-exp(gamma1*(z0-uz))*exp(uz))/(1-gamma1) - exp(gamma1*(z0-hz))*(exp(hz)-exp(gamma2*(hz-uz)+uz))/(1-gamma2) );
% V0_part3 = - wage*nbar*( (exp(gamma1*(z0-hz))-exp(gamma1*(z0-uz)))/(-gamma1) - exp(gamma1*(z0-hz))*(1-exp(gamma2*(hz-uz)))/(-gamma2)) ;
% 
% V0 = exp(gamma1*(z0-hz))*(V1-sunkcost) + 1/J*(V0_part1 + V0_part2 + V0_part3 ) ;
% disp('Stokey: V(z0,0)')
% V0
% 
