

% pick z0 and B and mean entry cost to fit targetwage, targetN, and
% targetNoverM
    
targetM = targetN/targetnoverm ;

[uz,oz,hz,beta1,beta2]=thresholds(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,1) ; % z0 doesn't matter here
z0D = -2 ;
z0U = uz*.999 ;

if (totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0U)-targetnoverm1)*(totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0D)-targetnoverm1)>0
    disp('problem with calibration elastic-elastic: Bounds invalid')
    beep; beep; beep; beep;
    break ;
end

while abs(z0U-z0D)>prec    
    z0 = (z0U+z0D)/2 ;    
    N1 = totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    if N1<targetnoverm
        z0D = z0 ;
    else
        z0U = z0 ;
    end
end

if abs(N1-targetnoverm)>prec2
    disp('error in calibration elastic-elastic 1')
    beep; beep; beep; beep; 
    break
end

N1 = totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0) ;    
valuez00 = calculvalue(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0) ;
% if entry_label_goods==1
    kstar = valuez00 ;
% else
%     kstar = valuez00/wage ;
% end


% find entry cost to make M = targetM
entrycostU = 5e4 ; entrycostD = 1e-6 ;

while abs(entrycostU-entrycostD)>prec
    
    entrycostM = .5*(entrycostU+entrycostD) ;
    meanlogk = log(entrycostM)-.5*entrycostV^2/2 ;
    stdlogk = entrycostV ;
    if kstar>0
        numentrants = Ebar*normcdf(log(kstar),meanlogk,stdlogk) ;
        M = numentrants/lambda ;    
    else
        M = Inf ;
    end
    
    if M>targetM
        entrycostD = entrycostM ;
    else
        entrycostU = entrycostM ;
    end
end    

if abs(M-targetM)>prec2
    disp('error in calibration elastic-elastic 2')
    beep; beep; beep; beep; 
    break
end

Y1 = totalYs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem);
Y = M*Y1 ;
Totentrycost = Ebar*exp(meanlogk+.5*stdlogk^2)*normcdf( (log(kstar)-meanlogk-stdlogk^2)/stdlogk,0,1 );
C = Y - Totentrycost ;
N = targetN ;
B = targetwage/((1+tg)*C*N^phi) ;

eq = GEcalcELASTICENTRY_ELASTICLABOR(entrycostM,entrycostV,Ebar,phi,B,alpha,nbar,tau,tg,lambda,r,cf,sigma,mu,sunkcost,z0,rem) ;

if abs(eq(4)-targetwage)+abs(eq(2)-targetN)+abs(eq(2)/eq(3)-targetnoverm)>3*prec2
    disp('error in calibration elastic-elastic 3')
    beep; beep; beep; beep;
    break
end

