
% set z0 and entrycost to match targetwage(=1) and N/M (avg employees per firm)

[uz,oz,hz,beta1,beta2]=thresholds(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,1) ; % z0 doesn't matter here
z0D = -2 ;
z0U = uz*.999 ;

wage = targetwage ;

if (totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0U)-targetnoverm1)*(totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0D)-targetnoverm1)>0
    disp('problem with calibration inelastic 0: Bounds invalid')
    beep; beep; beep; beep;
    break ;
end

while abs(z0U-z0D)>prec    
    z0 = (z0U+z0D)/2 ;    
    N1 = totalNs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);
    if N1<targetnoverm1
        z0D = z0 ;
    else
        z0U = z0 ;
    end
end

if(N1-targetnoverm1)>prec2
    disp('error in calibration inelastic 1')
    beep; beep; beep; beep; 
    break
end

entrycostU = 1e3 ; entrycostD = 1e-6 ;
    
% while abs(entrycostU-entrycostD)>prec    
%     entrycost = .5*(entrycostU+entrycostD) ;    
%     eq = GEcalcINELASTIC(entrycost,AggregateN,alpha,nbar,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem) ;    
%     if eq(4)>targetwage
%         entrycostD = entrycost ;
%     else
%         entrycostU = entrycost ;
%     end
% end   

valuez00 = calculvalue(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0);

while abs(entrycostU-entrycostD)>prec    
    entrycost = .5*(entrycostU+entrycostD) ;   
    if valuez00>entrycost
        entrycostD = entrycost ;
    else
        entrycostU = entrycost ;
    end
end

if abs(valuez00-entrycost)>prec2
    disp('error in calibration inelastic 2')
    beep; beep; beep; beep; 
    break
end

eq = GEcalcINELASTIC(entrycost,AggregateN,alpha,nbar,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem) ;    
    
if abs(eq(4)-targetwage)>prec2
    disp('error in calibration inelastic 3')
    beep; beep; beep; beep; 
    break
end