function sh=shareFirms(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0,X)

% share of firms with employment above X

[uz,oz,hz,beta1,beta2]=thresholds(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0) ;

% K = (alpha/wage)^(1/(1-alpha))*beta1*beta2/(beta1-beta2) ;
K2 = (alpha/(wage*(1+tau.wage)))^(1/(1-alpha));

zx = (1-alpha)*log(X/K2) ;

sh = -beta2/(beta1-beta2)*exp(beta1*(zx-z0)) ;

% part1n = K*exp(z0/(1-alpha))*(1-exp(beta1*(hz-z0))*exp(beta2*(-hz+z0)))/(beta2+1/(1-alpha)) ;
% 
% part2n = K*exp(beta1*(hz-z0))*exp(uz/(1-alpha))*exp(beta2*(uz-hz))/(beta2+1/(1-alpha)) ;
% 
% part3n = K*( (exp(uz/(1-alpha))*exp(beta1*(uz-z0))-exp(z0/(1-alpha)))/(beta1+1/(1-alpha)) + ...
%     -exp(beta1*(hz-z0))*(exp(beta2*(uz-oz))*exp(uz/(1-alpha))-exp(z0/(1-alpha))*exp(beta2*(z0-oz)))/(beta2+1/(1-alpha)));
% 
% part4n = nbar*beta1*beta2/(beta1-beta2)*exp(-beta1*z0)*( (exp(beta1*hz)-exp(beta1*uz))/beta1 - exp(beta1*hz)*(1-exp(beta2*(uz-hz)))/beta2) ;
% 
% part5n = nbar*beta1/(beta1-beta2)*( exp(beta2*(oz-hz)) - exp(beta2*(uz-hz)))*exp(beta1*(hz-z0)) ;
% 
% 
% part6n = K2*exp(beta1*(hz-z0))*(exp(hz/(1-alpha))-exp(oz/(1-alpha))*exp(beta2*(oz-hz)))/(1/(1-alpha)+beta2) ;

% part7n = -K2*exp(beta1*(hz-z0))*exp(hz/(1-alpha))/(1/(1-alpha)+beta1) ;
% 
% part1n
% part2n
% part3n
% part4n
% part5n
% part6n
% part7n

% sh = part7n ;

