function eq=solvessexactly(entrycost,phi,B,alpha,lambda,r,sigma,mu,z0)


beta1  = (mu + sqrt(mu^2+2*sigma^2*lambda))/(sigma^2) ;
beta2  = (mu - sqrt(mu^2+2*sigma^2*lambda))/(sigma^2) ;

A = entrycost*(r+lambda-mu/(1-alpha)-sigma^2/(2*(1-alpha)^2)) ;
Bint = exp(z0/(1-alpha))*(alpha^(alpha/(1-alpha)))*(1-alpha) ;
wage = (A/Bint)^(-(1-alpha)/alpha) ;

Cint = (beta1*beta2)/( (beta1+1/(1-alpha))*(beta2+1/(1-alpha)) ) ;
N1 = exp(z0/(1-alpha))*(alpha/wage)^(1/(1-alpha))*Cint ;
Y1 = exp(z0/(1-alpha))*(alpha/wage)^(alpha/(1-alpha))*Cint ;
coverm = Y1 - lambda*entrycost ;

M = (wage/(B*coverm*N1^phi))^(1/(1+phi)) ;
Y = Y1*M ;
N = N1*M ;
Pi = Y-wage*N ;
C = Y - lambda*entrycost*M ;
eq = [Y,N,M,wage,lambda*entrycost*M,Pi,C] ;



