function totY=totalYs(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0,rem)

[uz,oz,hz,beta1,beta2]=thresholds(alpha,nbar,wage,tau,lambda,r,cf,sigma,mu,sunkcost,z0) ;

K = (alpha/wage)^(alpha/(1-alpha))*beta1*beta2/(beta1-beta2) ;
K2 = (alpha/(wage*(1+tau.wage)))^(alpha/(1-alpha))*beta1*beta2/(beta1-beta2) ;

part1n = K*exp(z0/(1-alpha))*(1-exp(beta1*(hz-z0))*exp(beta2*(-hz+z0)))/(beta2+1/(1-alpha)) ;

part2n = K*exp(beta1*(hz-z0))*exp(uz/(1-alpha))*exp(beta2*(uz-hz))/(beta2+1/(1-alpha)) ;

part3n = K*( (exp(uz/(1-alpha))*exp(beta1*(uz-z0))-exp(z0/(1-alpha)))/(beta1+1/(1-alpha)) + ...
    -exp(beta1*(hz-z0))*(exp(beta2*(uz-oz))*exp(uz/(1-alpha))-exp(z0/(1-alpha))*exp(beta2*(z0-oz)))/(beta2+1/(1-alpha)));

part4n = nbar^alpha*beta1*beta2/(beta1-beta2)*( (exp(beta1*(hz-z0))*exp(hz)-exp(uz)*exp(beta1*(uz-z0)))/(1+beta1) - exp(beta1*(hz-z0))*...
    (exp(hz)-exp(uz)*exp(beta2*(uz-hz)))/(1+beta2) ) ;

part5n = nbar^alpha*beta1*beta2/(beta1-beta2)*exp(beta1*(hz-z0))*( exp(oz+beta2*(oz-hz)) - exp(beta2*(uz-hz)+uz))/(1+beta2);

part6n = K2*exp(beta1*(hz-z0))*(exp(hz/(1-alpha))-exp(oz/(1-alpha))*exp(beta2*(oz-hz)))/(1/(1-alpha)+beta2) ;

part7n = -K2*exp(beta1*(hz-z0))*exp(hz/(1-alpha))/(1/(1-alpha)+beta1) ;

% does not include entry costs!
costs1  = lambda*exp(beta1*(hz-z0))*sunkcost ;
costs2  = tau.cf*(beta1*beta2)/(beta1-beta2)*exp(beta1*(hz-z0))*( (1-exp(beta2*(oz-hz)))/(beta2) -1/beta1 ) ;
costs3  = tau.wage*wage*(beta1*beta2)/(beta1-beta2)*exp(beta1*(hz-z0))*( nbar*(1-exp(beta2*(oz-hz)))/(beta2) - (alpha/(wage*(1+tau.wage)))^(1/(1-alpha))*exp(hz/(1-alpha))/(beta1+1/(1-alpha)) );
costs  = costs1 + costs2 + costs3 ;
totY = part1n + part2n + part3n + part4n + part5n + part6n + part7n - rem*costs ;